#include <qwidget.h>
#include <qevent.h>
#include <kcmodule.h>
#include "mainwidget.h"

class KAboutData;

class KControl: public KCModule {
	Q_OBJECT
public:
	KControl(QWidget *parent, const char *name);
	void load();
	void save();
	void defaults();
	void reset();
	const KAboutData* aboutData() const;
public slots:
	void configChanged();
private:
	MainWidget	*m;
};
